#include "Texture.h"

Texture::Texture(const wchar_t* fileName)
: _fileName(fileName), _resourceHandle(0)
{
}

Texture::~Texture()
{
}

const wchar_t* Texture::getFileName()
{
    if (_fileName.empty())
        return 0;
    else
        return _fileName.c_str();
}

void Texture::setFileName(const wchar_t* fileName)
{
    _fileName = fileName;
    _resourceHandle = 0;
}

void* Texture::getResourceHandle()
{
    return _resourceHandle;
}

void Texture::setResourceHandle(void* resourceHandle)
{
    _resourceHandle = resourceHandle;
}